Unsupported Branches

This page lists the end of life date for each unsupported branch of PHP. If you are using these releases, you are strongly urged to upgrade to a current version, as using older versions may expose you to security vulnerabilities and bugs that have been fixed in more recent versions of PHP.

Branch Date Last Release Notes
5.4 3 Sep 2015 5 months ago 5.4.45 A guide is available for migrating from PHP 5.4 to 5.5.
5.3 14 Aug 2014 1 year, 5 months ago 5.3.29 A guide is available for migrating from PHP 5.3 to 5.4.
5.2 6 Jan 2011 5 years, 1 month ago 5.2.17 A guide is available for migrating from PHP 5.2 to 5.3.
5.1 24 Aug 2006 9 years, 5 months ago 5.1.6 A guide is available for migrating from PHP 5.1 to 5.2.
5.0 5 Sep 2005 10 years, 5 months ago 5.0.5 A guide is available for migrating from PHP 5.0 to 5.1.
4.4 7 Aug 2008 7 years, 6 months ago 4.4.9 A guide is available for migrating from PHP 4 to PHP 5.0.
The end of life for PHP 4.4 also marks the end of life for PHP 4 as a whole.
4.3 31 Mar 2005 10 years, 10 months ago 4.3.11
4.2 6 Sep 2002 13 years, 5 months ago 4.2.3
4.1 12 Mar 2002 13 years, 10 months ago 4.1.2
4.0 23 Jun 2001 14 years, 7 months ago 4.0.6
3.0 20 Oct 2000 15 years, 3 months ago 3.0.x (latest)
To Top